#! /bin/sh
PATH=/bin:/usr/bin:/usr/ucb
LIB=ZZLIBZZ
IFILE=${1-y.tab.c}
if [ "`/usr/ucb/head -1 $IFILE`" = "# define YYDEBUG" ] ; then
	echo $IFILE already contains symbolic tracing.
	exit 1
elif [ -r y.output ] ; then
	sed -f $LIB/rules.sed y.output | /usr/bin/sort -n | /usr/bin/uniq | awk -f $LIB/rules.awk > yyrules.h
	ed $IFILE < $LIB/yyreduce.ed > /dev/null
else
	echo Must run yacc with "-v" options.
	exit 1
fi
exit 0
